IonCube Loader is a software instrument, that's necessary to run files that are encrypted with ionCube PHP Encoder. The aforementioned is an application designed to make PHP code human unreadable, in order to protect it from reverse engineering and not authorized usage. A large number of script-driven applications, particularly discussion boards, content management systems and electronic commerce solutions are encoded with ionCube PHP Encoder, so if you purchase a script and you notice that ionCube is one of the hosting environment requirements, you have to make sure that your web hosting server has the tool pre-installed. Though it's not that difficult to set it up if you have your own server, it's almost impossible to do that on a shared hosting server for the reason that the PHP environment shall have to be precompiled and all of the clients on the server will be affected.

IonCube in Cloud Web Hosting

When you aquire a Linux cloud web hosting through our company, it will be set up on our tailor-made cloud platform where ionCube Loader is already present, so you will not have any problems to manage any script app which requires the tool to function appropriately. Furthermore, we offer you a few different releases of PHP, so if you switch the version, you'll need to activate ionCube once again. Our platform remembers the changes you make, which means that in case you switch back to the earlier version of PHP that was active for your account, ionCube Loader will already be enabled. The PHP version and the ionCube tool can be managed through the PHP Configuration section of our Hepsia hosting Control Panel. Every change that you do takes literally just a mouse-click and it'll take effect without delay.

IonCube in Semi-dedicated Hosting

In case you purchase a semi-dedicated server package from us, you can employ any script-driven app that requires ionCube Loader due to the fact that the tool is available on all servers that are a part of our revolutionary cloud hosting platform. We also support different releases of PHP, therefore if you move from PHP 4 to 5.2 or 5.3, for instance, you can activate ionCube for this particular release with just a click in your Hepsia Control Panel. Our platform will remember your decision, so in case you move back to the earlier version of PHP, the software tool will already be active. For more tech-savvy users, we also provide the option to choose the PHP version and whether ionCube will be active or not for a specific domain without altering the settings for the whole web hosting account. This can be done by placing a php.ini file within a domain folder with several lines of code.